{include file="_head.tpl" title="Configuration — %s"|args:$plugin.name current="plugin_%s"|args:$plugin.id}
{include file="%s/templates/_menu.tpl"|args:$plugin_root current="config"}

{if $ok && !$form->hasErrors()}
    <p class="block confirm">
        La configuration a bien été enregistrée.
    </p>
{/if}

{form_errors}

<form method="post" action="{$self_url}">
    <fieldset>
        <legend>Informations de l'association</legend>
        <dl>
            {input type="text" name="rna_asso" label="RNA de l'association" source=$conf}
            {input type="text" name="siret_asso" label="SIRET de l'association" source=$conf}
            {input type="checkbox" name="ttc" value="1" label="L'association émet des factures TTC (TVA)" source=$conf}
        </dl>
        <br>
        <fieldset>
            <legend>Adresse de l'association</legend>
            <dd class="help">
                à saisir uniquement si elle n'est pas dans la configuration de la compta ou si elle doit remplacer celle qui est définie dans la configuration de la compta
            </dd>
            <dl>
                {input type="text" name="numero_rue_asso" source=$conf label="Numéro de rue" maxlength=5}
                {input type="text" name="rue_asso" source=$conf label="Nom de rue"}
                {input type="text" name="cp_asso" source=$conf label="Code postal"}
                {input type="text" name="ville_asso" source=$conf label="Ville"}
            </dl>
        </fieldset>
    </fieldset>

    <fieldset>
        <legend>Factures et devis</legend>
        <dl>
		    {input type="checkbox" name="logo" value="1" source=$conf label="Imprimer le logo de l'association"}
            {input type="textarea" class="full-width" rows="5" name="footer" source=$conf label="Pied de document — informations légales" required=true}
        </dl>
		<fieldset>
			<legend>
				Choisir les champs à faire figurer sur la facture ou le devis pour l'adresse d'un membre
			</legend>
			<dl>
				{input type="select" name="adresse_client" label="Adresse" required=true options=$champsPaheko source=$conf}
				{input type="select" name="code_postal_client" label="Code postal" required=true options=$champsPaheko source=$conf}
				{input type="select" name="ville_client" label="Ville" required=true options=$champsPaheko source=$conf}
			</dl>
		</fieldset>
    </fieldset>

    <fieldset>
        <legend>Configuration du plugin</legend>
        <dl>
            {input type="checkbox" name="validate_cp" value="1" source=$conf label="Vérifier le code postal lors de saisie/modification de client (seulement FR)"}
            {input type="checkbox" name="unique_client_name" value="1" source=$conf label="Noms des clients uniques"}
            {input type="select" name="pattern" label="Format de numéro de document" required=false options=$patterns source=$conf}
            <dd class="help">
                F = Facture, D = Devis
            </dd>
        </dl>
        <i>Pour personnaliser l'apparence de la facture, il faut pour l'instant se retrousser les manches et éditer soi-même le fichier www/admin/pdf.php du plugin ! </i>
    </fieldset>

    <p class="submit">
        {csrf_field key="facturation_config"}
        {button type="submit" name="save" label="Enregistrer" shape="right" class="main"}
    </p>
</form>

{include file="_foot.tpl"}
